enchant();	// ライブラリの初期化
window.onload = function(){
	// 320×240ピクセルサイズの画面(Canvas)を作成
	var game = new Game(320, 240);
	// フレームレートの設定。15fpsに設定
	game.fps = 15;
	// 画像データをあらかじめ読み込ませる
	game.preload("images/tile.png");
	// データの読み込みが完了したら処理
	game.onload = function(){
		// マップのブロックのサイズを32×32に設定
		var map = new Map(32, 32);
		// マップ画像を設定
		map.image = game.assets["images/tile.png"];
		// 表示するマップのデータを設定
		map.loadData([
			[2,2,2,2,2,2,2,2,2,2],
			[2,1,0,0,0,0,0,0,0,2],
			[2,1,0,2,2,2,1,0,0,2],
			[2,1,0,2,2,2,1,2,2,2],
			[2,1,1,1,1,1,1,1,1,2],
			[2,0,2,2,1,2,2,2,0,2],
			[2,0,2,0,1,0,0,0,0,2],
			[2,0,0,0,1,2,2,2,0,2],
			[2,0,0,0,0,0,0,0,0,2],
			[2,2,2,2,2,2,2,2,2,2]
		]);
		// マップを表示
		game.rootScene.addChild(map);
	}
	game.start();	// ゲーム処理開始
}
