enchant();	// ライブラリの初期化
window.onload = function(){
	// 320×240ピクセルサイズの画面(Canvas)を作成
	var game = new Game(320, 240);
	// フレームレートの設定。15fpsに設定
	game.fps = 15;
	// 画像データをあらかじめ読み込ませる
	game.preload("images/fighter.png");
	// データの読み込みが完了したら処理
	game.onload = function(){
		var fighter = new Sprite(32, 32);
		fighter.image = game.assets["images/fighter.png"];
		fighter.x = 0;
		fighter.y = 100;
		game.rootScene.addChild(fighter);
		// フレームイベントが発生したら処理
		fighter.addEventListener(Event.ENTER_FRAME, function(){
			// 右端まで到達していない場合にX座標を加算
			if (fighter.x+fighter.width < game.width){
				fighter.x = fighter.x + 1;	
			}
		});
	}
	game.start();	// ゲーム処理開始
}
